[PATCH] Release script: just a warning would end up with a package that really looks like VERSION (e.g. if -t was forgotten)

Wald Commits scm-commit at wald.intevation.org
Thu May 7 09:51:53 CEST 2015


# HG changeset patch
# User Tom Gottfried <tom at intevation.de>
# Date 1430985098 -7200
# Node ID 1bc1d696952036c492e016e18fb721032b3320b5
# Parent  f1250a55acd6b31397aaf695e5452c6f52cac030
Release script: just a warning would end up with a package that really looks like VERSION (e.g. if -t was forgotten).

diff -r f1250a55acd6 -r 1bc1d6969520 contrib/make_flys_release/make_release.sh
--- a/contrib/make_flys_release/make_release.sh	Thu May 07 09:26:43 2015 +0200
+++ b/contrib/make_flys_release/make_release.sh	Thu May 07 09:51:38 2015 +0200
@@ -140,8 +140,8 @@
     cd $repo
     if [ -z "`hg tags | sed -n "/$VERSION/p"`" -a -z "`hg branches | sed -n "/$VERSION/p"`" ]
     then
-        echo "WARNING: $VERSION not found in $repo! Updating to default."
-        hg up default
+        echo "ERROR: No tag or branch $VERSION found in repository of $repo!"
+        exit 1
     else
         hg up "$VERSION"
     fi


More information about the Dive4Elements-commits mailing list